Page MenuHomePhabricator

Add tests for referenceListChangeTracker
Closed, ResolvedPublic

Description

Write tests by continuing the pattern of creating mock reference objects. Ideally try and improve the creation of these so that it makes a little more sense.

We decided in a meeting on 12-12-2019 that this is a good compromise compared to trying to do the rewrite now.


Old Ticket contents:

We couldn't really test this well because mocking all of the wikibase-data-model entities was tricky and really we think it should probably be done with real instances of the wikibase-datamodel.

Sadly these can't just be imported and instantiated without refactoring of the upstream library e.g. to either include or eliminate the need for the $.extends or util.inherit

Event Timeline

Tarrow created this task.Dec 10 2019, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2019, 3:38 PM
Tarrow updated the task description. (Show Details)Dec 12 2019, 10:25 AM
Rosalie_WMDE moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint7 board.
Rosalie_WMDE removed Rosalie_WMDE as the assignee of this task.Dec 17 2019, 9:36 AM
Rosalie_WMDE added a subscriber: Rosalie_WMDE.
Tarrow claimed this task.Dec 19 2019, 10:49 AM

Change 561689 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] TR: Add simple tests for ReferenceListChangeCounter

https://gerrit.wikimedia.org/r/561689

Change 561689 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Add simple tests for ReferenceListChangeCounter

https://gerrit.wikimedia.org/r/561689

Tarrow closed this task as Resolved.Jan 7 2020, 10:51 AM